Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.toplink
Class SessionHolder

    java.lang.Object
      org.springframework.transaction.support.ResourceHolderSupport
          org.springframework.orm.toplink.SessionHolder

All Implemented Interfaces:
  ResourceHolder

    public class SessionHolder

extends ResourceHolderSupport

Session holder, wrapping a TopLink Session. TopLinkTransactionManager binds instances of this class to the thread, for a given SessionFactory.

Note: This is an SPI class, not intended to be used by applications.

Since:
  1.2
Author:
  Juergen Hoeller

Constructor Summary
`SessionHolder(oracle.toplink.sessions.Session session)` Create a new SessionHolder for the given TopLink Session.

Method Summary
`oracle.toplink.sessions.Session` | `getSession()` Return this holder's TopLink Session.

Methods inherited from class org.springframework.transaction.support.ResourceHolderSupport
`clear, getDeadline, getTimeToLiveInMillis, getTimeToLiveInSeconds, hasTimeout, isOpen, isRollbackOnly, isSynchronizedWithTransaction, isVoid, released, requested, reset, setRollbackOnly, setSynchronizedWithTransaction, setTimeoutInMillis, setTimeoutInSeconds, unbound`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionHolder

    public SessionHolder(oracle.toplink.sessions.Session session)

  Create a new SessionHolder for the given TopLink Session.

  Parameters:
    `session` - the TopLink Session

Method Detail

### getSession

    public oracle.toplink.sessions.Session getSession()

  Return this holder's TopLink Session.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.